[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.DataModuleCount

The number of data modules for the screen.

## Declaration

Source position: forms.pp line 1292

`public property TScreen.DataModuleCount : Integer read GetDataModuleCount;`

## Description

DataModuleCount is a read-only Integer property with the number of TDataModule instances stored in the DataModules property. Read access for the property value is redirected to the Count property in DataModules.

Use DataModules to access a TDataModule instance by its ordinal position in the list of data modules.

## See also

TScreen.DataModules |  | Provides indexed access to data modules on the screen.